import { BuildScriptTxResult, node, NodeProvider, SignerProvider } from "@alephium/web3";
import { ChainId } from "../utils";
export declare function registerChain(signerProvider: SignerProvider, tokenBridgeId: string, signedVAA: Uint8Array, alphAmount: bigint): Promise<BuildScriptTxResult>;
export declare function deposit(signerProvider: SignerProvider, tokenBridgeForChainId: string, amount: bigint): Promise<BuildScriptTxResult>;
export declare function destroyUnexecutedSequenceContracts(signerProvider: SignerProvider, tokenBridgeId: string, signedVAA: Uint8Array): Promise<BuildScriptTxResult>;
export declare function updateRefundAddress(signerProvider: SignerProvider, tokenBridgeId: string, signedVAA: Uint8Array): Promise<BuildScriptTxResult>;
export declare function zeroPad(value: string, byteLength: number): string;
export declare function getAttestTokenHandlerId(tokenBridgeId: string, remoteChainId: number, groupIndex: number): string;
export declare function getTokenBridgeForChainId(tokenBridgeId: string, remoteChainId: number, groupIndex: number): string;
export declare function getTokenPoolId(tokenBridgeId: string, tokenChainId: number, tokenId: string, groupIndex: number): string;
export declare function getUnexecutedSequenceId(tokenBridgeForChainId: string, index: number, groupIndex: number): string;
export declare function contractExists(contractId: string, provider: NodeProvider): Promise<boolean>;
export interface TokenInfo {
    symbol: string;
    name: string;
    decimals: number;
}
export interface RemoteTokenInfo extends TokenInfo {
    tokenId: string;
    tokenChainId: ChainId;
}
export declare function getRemoteTokenInfoFromContractState(state: node.ContractState): RemoteTokenInfo;
export declare function getRemoteTokenInfo(address: string, groupIndex: number): Promise<RemoteTokenInfo>;
export declare function stringToByte32Hex(str: string): string;
export declare function waitAlphTxConfirmed(provider: NodeProvider, txId: string, confirmations: number): Promise<node.Confirmed>;
export declare const ALPHTokenInfo: TokenInfo;
export declare function getLocalTokenInfo(nodeProvider: NodeProvider, localTokenId: string): Promise<TokenInfo>;
